<?php
namespace UserlikeChat\Userlike\Hooks;

use TYPO3\CMS\Core\Utility\GeneralUtility;

use TYPO3\CMS\Backend\Controller\ContentElement\NewContentElementController;
use TYPO3\CMS\Backend\Wizard\NewContentElementWizardHookInterface;

use TYPO3\CMS\Core\Imaging\IconProvider\BitmapIconProvider;
use TYPO3\CMS\Core\Imaging\IconProvider\SvgIconProvider;
use TYPO3\CMS\Core\Imaging\IconRegistry;

class WizardItems implements NewContentElementWizardHookInterface {

	public function manipulateWizardItems(&$wizardItems, &$parentObject){
		$iconRegistry = GeneralUtility::makeInstance(IconRegistry::class);

		if(isset($wizardItems['plugins_tx_userlike'] ) && isset($wizardItems['plugins_tx_userlike']['icon']) ){

			$iconRegistry->registerIcon('tx-userlike-widget', BitmapIconProvider::class, array('source' => $wizardItems['plugins_tx_userlike']['icon'] ));
			$wizardItems['plugins_tx_userlike']['iconIdentifier'] = 'tx-userlike-widget';

		}
	}
}
